cmake_minimum_required(VERSION 2.6)

PROJECT(RITKFilterPlugins)

macro(ADD_PLUGIN folder name default system)
	set(tmp RITK_PLUGIN_${name})
	option( ${tmp} "Plugin" ${default} )
	mark_as_advanced( ${tmp} )

	# add subdirectory
	IF( ${tmp} )
		add_subdirectory(${folder})
	ENDIF( ${tmp} )
endmacro(ADD_PLUGIN)

ADD_PLUGIN(ClampRangeImageFilter			ClampRangeImageFilter			ON		CROSS)
ADD_PLUGIN(CUDABilateral					CUDABilateral					ON		CROSS)
ADD_PLUGIN(CUDAMedian						CUDAMedian						ON		CROSS)
ADD_PLUGIN(CUDANormalizedConvolution		CUDANormalizedConvolution		ON		CROSS)
ADD_PLUGIN(CUDATemporalAveraging			CUDATemporalAveraging			ON		CROSS)
